#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

pkginfo: pkginfo.tmpl $(PKGDEFS)/awk_pkginfo
	$(RM) $@; nawk -f $(PKGDEFS)/awk_pkginfo $@.tmpl > $@

pkg: $(PKGARCHIVE) FRC
	pkgmk -f prototype_$(MACH) -d $(PKGARCHIVE) \
	    -r "$(ROOT) $(PARENT_ROOT)" -o $(PACKAGE)

optpkg: $(PKGARCHIVE) FRC
	pkgmk -f prototype_$(MACH) -d $(PKGARCHIVE) \
	    -r "$(ROOT) $(PARENT_ROOT)" -b opt -o $(PACKAGE)

$(PKGARCHIVE):
	[ -d $(PKGARCHIVE) ] || mkdir -p $(PKGARCHIVE)

$(CHKINSTALL): $(PKGDEFS)/common_files/$(CHKINSTALLSRC)
	$(RM) $(CHKINSTALL)
	cp $(PKGDEFS)/common_files/$(CHKINSTALLSRC) $(CHKINSTALL)

#
# If the file is under SCM, then it should not be destroyed
# by an install rule here.  This is a mistake in the package
# makefile.
#
# These tests should return "true" if the file is NOT
# under SCM, so that they can be followed by a logical OR
# that will only be evaluated for the intended failure
# case.
#
NOT_UNDER_mercurial= \
	( hg locate --include . $@ > /dev/null ; [ $$? != 0 ] )
NOT_UNDER_teamware=[ ! -f SCCS/s.$@ ]
NOT_UNDER_SCM=${NOT_UNDER_${SCM_TYPE}}

copyright: $(BUILDPKGCR) $(LICENSEFILES)
	@${NOT_UNDER_SCM} || ( $(ECHO) "generated copyright file" \
		"should not be under SCM">&2 && false )
	@$(DO_BUILDPKGCR)

$(DATAFILES): $(PKGDEFS)/common_files/$$@
	@${NOT_UNDER_SCM} || \
		( $(ECHO) "DATAFILES list is incorrect for $@">&2 && false )
	$(RM) $@; cp $(PKGDEFS)/common_files/$@ $@

$(MACHDATAFILES): $(PKGDEFS)/common_files/$$@_$(MACH)
	$(RM) $@; cp $(PKGDEFS)/common_files/$@_$(MACH) $@

clean: 
	-$(RM) $(CLEANFILES)

clobber: clean
	-$(RM) $(CLOBBERFILES)

FRC:
